Run of lintian-fixes for lightdm-gtk-greeter-settings

Try this locally (using the lintian-brush package):

debcheckout lightdm-gtk-greeter-settings
cd lightdm-gtk-greeter-settings
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
[2021-05-22 10:06:33] Running ['lintian-brush']
[2021-05-22 10:06:33] Opening branch at https://salsa.debian.org/xfce-extras-team/lightdm-gtk-greeter-settings.git/,branch=master
[2021-05-22 10:07:14] Using cached branch https://janitor.debian.net/git/lightdm-gtk-greeter-settings/,branch=debian%2Flatest
[2021-05-22 10:07:58] Total 1012 (delta 0), reused 0 (delta 0), pack-reused 1012
[2021-05-22 10:08:34] Total 614 (delta 474), reused 559 (delta 420), pack-reused 0
[2021-05-22 10:08:35] All changes applied successfully.
[2021-05-22 10:08:35] Workspace ready - starting.
[2021-05-22 10:09:16] only add-on fixers found
[2021-05-22 10:09:16] Opened schroot session unstable-amd64-sbuild-51849248-8316-4d47-b858-113d28176bba (from unstable-amd64-sbuild)
[2021-05-22 10:09:16] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f0c9266de20>, [functools.partial(<function python_tie_breaker at 0x7f0c99782430>, <GitWorkingTree of /home/janitor/tmp/janitorg83exra9/lightdm-gtk-greeter-settings>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-51849248-8316-4d47-b858-113d28176bba'), <function popcon_tie_breaker at 0x7f0c93f07820>]))]
[2021-05-22 10:09:16] Building debian packages, running 'sbuild -A -s -v'.
[2021-05-22 11:38:40] Built ['lightdm-gtk-greeter-settings_1.2.2-5~jan+lint1_amd64.changes'].
[2021-05-22 11:38:40] Running lintian
[2021-05-22 11:38:43] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
    response.begin()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.9/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.9/http/client.py", line 289, in _read_status
    raise BadStatusLine(line)
http.client.BadStatusLine: 0



During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
    response.begin()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.9/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.9/http/client.py", line 276, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/pull_worker.py", line 238, in run_worker
    import_branches(
  File "/home/janitor/debian-janitor/janitor/vcs.py", line 311, in import_branches
    import_branches_git(
  File "/home/janitor/debian-janitor/janitor/vcs.py", line 275, in import_branches_git
    inter.fetch_refs(get_changed_refs, lossy=False, overwrite=True)
  File "/home/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 815, in fetch_refs
    new_refs = self.target.send_pack(
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 949, in send_pack
    return self.controldir.send_pack(get_changed_refs, generate_pack_data)
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 486, in send_pack
    return self._client.send_pack(
  File "/home/janitor/debian-janitor/dulwich/dulwich/client.py", line 2004, in send_pack
    resp, read = self._smart_request(
  File "/home/janitor/debian-janitor/dulwich/dulwich/client.py", line 1945, in _smart_request
    resp, read = self._http_request(url, headers, data)
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 783, in _http_request
    response = self.transport.request(
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1850, in request
    response = self._opener.open(request)
  File "/usr/lib/python3.9/urllib/request.py", line 517, in open
    response = self._open(req, data)
  File "/usr/lib/python3.9/urllib/request.py", line 534, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 828, in https_open
    return self.do_open(HTTPSConnection, request)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 629, in retry_or_raise
    response = self.do_open(http_class, request, False)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 670, in retry_or_raise
    raise my_exception.with_traceback(exc_tb)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
    response.begin()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.9/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.9/http/client.py", line 276, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
breezy.errors.ConnectionError: Connection error: while sending POST /git/lightdm-gtk-greeter-settings/git-receive-pack: Remote end closed connection without response

Summary

Full worker log Full build log